Bug 9903 - 40GB Maxtor IDE drive filesystem corruption
40GB Maxtor IDE drive filesystem corruption
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Michael K. Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-03-01 15:05 EST by Alan Stewart
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-03-03 09:55:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Alan Stewart 2000-03-01 15:05:40 EST
I originally reported this as bug #9468 "cpio fails when writing to Maxtor
40GB IDE hard disk."

I am trying to utilize a 40GB Maxtor IDE hard disk. I can successfully
create a 40GB partition with fdisk and create a filesystem with 4KB blocks
wiht mke2fs. However, when I try to transfer 20+GB of data to it with
either cpio or tar, it eventually fails. After the cpio or tar failure, the
filesystem appears to be hosed.

I'm using an ASUS P2B motherboard with BIOS updated for the big drive and
out-of-the-box RH 6.0.
Comment 1 Alan Stewart 2000-03-02 09:33:59 EST
I forgot to mention that I have already used this drive for a month with Windows
98 without any problems.
Comment 2 Zach Brown 2000-03-02 12:40:59 EST
Originally we wondered if you might be running out of inodes on the shiny
new filesystem.  'df -i' will show you how many inodes are in use and free
on your filesystems.  But that certainly wouldn't explain
files disappearing and ending up in odd places.

Are you able to try an updated kernel?  Can you compile your own 2.2.15pre?
or perhaps use the kernel rpm from the 6.2 rawhide beta trees of ftp.redhat.com?
There were some fixes in 2.2.14 that may cure what you're seeing.
Comment 3 Alan Stewart 2000-03-03 09:55:59 EST
I checked the inode count when this problem originally manifested itself. That
was not the problem.

Unfortunately, I am in a production situation and time has run out. I have had
to reassign this drive mechanism where it could be put to good use. It's no
longer in a Linux system.

However, I see that there apparently are at least two other people that have
posted problems with large (20GB) Maxtor IDE drives in the linux.redhat.misc
newsgroup. I'll forward this bug to them and perchance they can help resolve
this.
Comment 4 Ben LaHaise 2000-10-04 18:11:03 EDT
This should work out of the box in newer releases.  Let me know if it doesn't.

Note You need to log in before you can comment on or make changes to this bug.